Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3252)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3253)
@@ -27,37 +27,17 @@
 //
 package org.txm.rcp.editors;
 
-import java.util.List;
-
 import org.eclipse.jface.action.MenuManager;
 import org.eclipse.jface.text.ITextSelection;
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.ISelectionChangedListener;
 import org.eclipse.jface.viewers.ISelectionProvider;
-import org.eclipse.swt.SWT;
 import org.eclipse.swt.browser.Browser;
-import org.eclipse.swt.browser.ProgressEvent;
-import org.eclipse.swt.browser.ProgressListener;
-import org.eclipse.swt.events.SelectionEvent;
-import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.graphics.Image;
-import org.eclipse.swt.layout.FormAttachment;
-import org.eclipse.swt.layout.FormData;
-import org.eclipse.swt.layout.FormLayout;
-import org.eclipse.swt.layout.RowData;
-import org.eclipse.swt.layout.RowLayout;
-import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
-import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Menu;
 import org.eclipse.ui.internal.browser.BrowserViewer;
 import org.eclipse.ui.internal.browser.WebBrowserEditor;
-import org.txm.objects.Edition;
-import org.txm.objects.Page;
-import org.txm.objects.Project;
-import org.txm.objects.Text;
-import org.txm.rcp.IImageKeys;
-import org.txm.rcp.StatusLine;
 import org.txm.rcp.messages.TXMUIMessages;
 
 /**
@@ -71,23 +51,8 @@
 public class TXMBrowserEditor extends WebBrowserEditor {
 	
 	/** The Constant ID. */
-	public final static String ID = "org.txm.rcp.editors.TXMBrowser"; //$NON-NLS-1$
+	public final static String ID = TXMBrowserEditor.class.getName(); //$NON-NLS-1$
 	
-	private ProgressListener progresslistener;
-	
-	private List<String> wordids;
-	
-	private List<String> lineids;
-	
-	/** The edition. */
-	Edition edition;
-	
-	/** The current page. */
-	Page currentPage;
-	
-	/** The page_label. */
-	Label page_label;
-	
 	/**
 	 * Instantiates a new txm browser.
 	 */
@@ -115,250 +80,250 @@
 		super.setTitleImage(titleImage);
 	}
 	
-	/**
-	 * 
-	 * @param wordids2 all the words to highlight
-	 * @param lineids2 the words to highlight better and to scroll to
-	 */
-	public void setWordsIds(List<String> wordids2, List<String> lineids2) {
-		this.wordids = wordids2;
-		this.lineids = lineids2;
-		
-		if (progresslistener != null) {
-			this.getBrowser().removeProgressListener(progresslistener);
-		}
-		
-		progresslistener = new ProgressListener() {
-			
-			@Override
-			public void changed(ProgressEvent event) {}
-			
-			@Override
-			public void completed(ProgressEvent event) {
-				Page currentpage = getCurrentPage();
-				// System.out.println("Highlight ! "+currentpage.getEdition().getText()+" wordids ="+wordids);
-				
-				for (String wordid : wordids) {
-					String highlightscript = "try { var elt = document.getElementById(\"" + wordid + "\");" + //$NON-NLS-1$ //$NON-NLS-2$
-							"elt.style.backgroundColor=\"#F9D0D0\";" //$NON-NLS-1$
-							+
-							"elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
-							"elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
-							"elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
-							"elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
-							"} catch (e) { };"; //$NON-NLS-1$
-					
-					getBrowser().execute(highlightscript);
-				}
-				
-				for (String wordid : lineids) {
-					String highlightscript = "try { var elt = document.getElementById(\"" + wordid + "\");" + //$NON-NLS-1$ //$NON-NLS-2$
-							"elt.style.backgroundColor=\"#F9A0A0\";" + //$NON-NLS-1$
-							"elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
-							"elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
-							"elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
-							"elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
-							"} catch (e) { };"; //$NON-NLS-1$
-					
-					getBrowser().execute(highlightscript);
-				}
-				if (lineids.size() > 0) {
-					String script = "try { document.getElementById(\"" + lineids.get(0) + "\").scrollIntoView(true); } catch (e) { };"; //$NON-NLS-1$ //$NON-NLS-2$
-					getBrowser().execute(script);
-				}
-			}
-		};
-		getBrowser().addProgressListener(progresslistener);
-		new CommandLink(this, getBrowser());
-	}
+//	/**
+//	 * 
+//	 * @param wordids2 all the words to highlight
+//	 * @param lineids2 the words to highlight better and to scroll to
+//	 */
+//	public void setWordsIds(List<String> wordids2, List<String> lineids2) {
+//		this.wordids = wordids2;
+//		this.lineids = lineids2;
+//		
+//		if (progresslistener != null) {
+//			this.getBrowser().removeProgressListener(progresslistener);
+//		}
+//		
+//		progresslistener = new ProgressListener() {
+//			
+//			@Override
+//			public void changed(ProgressEvent event) {}
+//			
+//			@Override
+//			public void completed(ProgressEvent event) {
+//				Page currentpage = getCurrentPage();
+//				// System.out.println("Highlight ! "+currentpage.getEdition().getText()+" wordids ="+wordids);
+//				
+//				for (String wordid : wordids) {
+//					String highlightscript = "try { var elt = document.getElementById(\"" + wordid + "\");" + //$NON-NLS-1$ //$NON-NLS-2$
+//							"elt.style.backgroundColor=\"#F9D0D0\";" //$NON-NLS-1$
+//							+
+//							"elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
+//							"elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
+//							"elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
+//							"elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
+//							"} catch (e) { };"; //$NON-NLS-1$
+//					
+//					getBrowser().execute(highlightscript);
+//				}
+//				
+//				for (String wordid : lineids) {
+//					String highlightscript = "try { var elt = document.getElementById(\"" + wordid + "\");" + //$NON-NLS-1$ //$NON-NLS-2$
+//							"elt.style.backgroundColor=\"#F9A0A0\";" + //$NON-NLS-1$
+//							"elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
+//							"elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
+//							"elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
+//							"elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
+//							"} catch (e) { };"; //$NON-NLS-1$
+//					
+//					getBrowser().execute(highlightscript);
+//				}
+//				if (lineids.size() > 0) {
+//					String script = "try { document.getElementById(\"" + lineids.get(0) + "\").scrollIntoView(true); } catch (e) { };"; //$NON-NLS-1$ //$NON-NLS-2$
+//					getBrowser().execute(script);
+//				}
+//			}
+//		};
+//		getBrowser().addProgressListener(progresslistener);
+//		new CommandLink(this, getBrowser());
+//	}
 	
-	/**
-	 * Sets the edition.
-	 *
-	 * @param edition the new edition
-	 */
-	public void setEdition(Edition edition) {
-		this.edition = edition;
-	}
+//	/**
+//	 * Sets the edition.
+//	 *
+//	 * @param edition the new edition
+//	 */
+//	public void setEdition(Edition edition) {
+//		this.edition = edition;
+//	}
 	
-	/**
-	 * Make page label.
-	 *
-	 * @return the string
-	 */
-	public String makePageLabel() {
-		return currentPage.getName()
-				+ " / " + currentPage.getEdition().getNumPages(); //$NON-NLS-1$
-	}
+//	/**
+//	 * Make page label.
+//	 *
+//	 * @return the string
+//	 */
+//	public String makePageLabel() {
+//		return currentPage.getName()
+//				+ " / " + currentPage.getEdition().getNumPages(); //$NON-NLS-1$
+//	}
+//	
+//	/**
+//	 * Show page.
+//	 *
+//	 * @param page the page
+//	 */
+//	public void showPage(Page page) {
+//		edition = page.getEdition();
+//		currentPage = page;
+//		this.webBrowser.setURL(currentPage.toURL());
+//		page_label.setText(makePageLabel());
+//	}
 	
-	/**
-	 * Show page.
-	 *
-	 * @param page the page
-	 */
-	public void showPage(Page page) {
-		edition = page.getEdition();
-		currentPage = page;
-		this.webBrowser.setURL(currentPage.toURL());
-		page_label.setText(makePageLabel());
-	}
+//	/**
+//	 * First text.
+//	 */
+//	public void firstText() {
+//		Text current = this.currentPage.getEdition().getText();
+//		Project corpus = current.getProject();
+//		Text firstText = corpus.getFirstText();
+//		
+//		if (firstText != null) {
+//			String editionName = corpus.getDefaultEditionName();
+//			currentPage = firstText.getEdition(editionName).getFirstPage();
+//			if (currentPage == null) {
+//				StatusLine.setMessage(TXMUIMessages.noPreviousText);
+//				return;
+//			}
+//			this.setEdition(firstText.getEdition(editionName));
+//			this.webBrowser.setURL(currentPage.toURL());
+//			page_label.setText(makePageLabel());
+//		}
+//	}
+//	
+//	/**
+//	 * Last text.
+//	 */
+//	public void lastText() {
+//		Text current = this.currentPage.getEdition().getText();
+//		Project b = current.getProject();
+//		Text lastText = b.getLastText();
+//		
+//		if (lastText != null) {
+//			currentPage = lastText.getEdition(b.getDefaultEditionName()).getFirstPage();
+//			if (currentPage == null) {
+//				StatusLine.setMessage(TXMUIMessages.noTextNext);
+//				return;
+//			}
+//			this.setEdition(lastText.getEdition(b.getDefaultEditionName()));
+//			this.webBrowser.setURL(currentPage.toURL());
+//			page_label.setText(makePageLabel());
+//		}
+//	}
+//	
+//	/**
+//	 * First page.
+//	 */
+//	public void firstPage() {
+//		// System.out.println(Messages.TxmBrowser_1+currentPage);
+//		currentPage = edition.getFirstPage();
+//		this.webBrowser.setURL(currentPage.toURL());
+//		page_label.setText(makePageLabel());
+//	}
+//	
+//	/**
+//	 * Last page.
+//	 */
+//	public void lastPage() {
+//		// System.out.println(Messages.TxmBrowser_2+currentPage);
+//		
+//		if (currentPage != null && currentPage.getFile().equals(edition.getLastPage().getFile()))
+//			return;
+//		currentPage = edition.getLastPage();
+//		this.webBrowser.setURL(currentPage.toURL());
+//		page_label.setText(makePageLabel());
+//	}
+//	
+//	/**
+//	 * Previous page.
+//	 */
+//	public void previousPage() {
+//		// System.out.println(Messages.TxmBrowser_3+currentPage);
+//		if (currentPage != null) {
+//			Page previous = edition.getPreviousPage(currentPage);
+//			if (previous == currentPage) {
+//				previousText(true);
+//			}
+//			else {
+//				currentPage = previous;
+//				this.webBrowser.setURL(currentPage.toURL());
+//			}
+//		}
+//		else
+//			firstPage();
+//		page_label.setText(makePageLabel());
+//	}
+//	
+//	/**
+//	 * Next page.
+//	 */
+//	public void nextPage() {
+//		// System.out.println(Messages.TxmBrowser_4+currentPage);
+//		if (currentPage != null) {
+//			Page next = edition.getNextPage(currentPage);
+//			if (currentPage == next) {
+//				nextText();
+//			}
+//			else {
+//				currentPage = next;
+//				this.webBrowser.setURL(currentPage.toURL());
+//			}
+//			
+//		}
+//		else
+//			firstPage();
+//		page_label.setText(makePageLabel());
+//	}
+//	
+//	/**
+//	 * Previous text.
+//	 * 
+//	 * @param fromNextText
+//	 */
+//	public void previousText(boolean fromNextText) {
+//		
+//		Text current = this.currentPage.getEdition().getText();
+//		Project corpus = current.getProject();
+//		Text previousText = corpus.getPreviousText(current);
+//		
+//		if (previousText != null) {
+//			String editionName = corpus.getDefaultEditionName();
+//			if (fromNextText) {
+//				currentPage = previousText.getEdition(editionName).getLastPage();
+//			}
+//			else {
+//				currentPage = previousText.getEdition(editionName).getFirstPage();
+//			}
+//			if (currentPage == null) {
+//				StatusLine.setMessage(TXMUIMessages.noPreviousText);
+//				return;
+//			}
+//			this.setEdition(previousText.getEdition(editionName));
+//			this.webBrowser.setURL(currentPage.toURL());
+//			page_label.setText(makePageLabel());
+//		}
+//		// System.out.println("Previous texts "+previousText);
+//	}
+//	
+//	/**
+//	 * Next text.
+//	 */
+//	public void nextText() {
+//		Text current = this.currentPage.getEdition().getText();
+//		Project b = current.getProject();
+//		Text nextText = b.getNextText(current);
+//		
+//		if (nextText != null) {
+//			currentPage = nextText.getEdition(b.getDefaultEditionName()).getFirstPage();
+//			if (currentPage == null) {
+//				StatusLine.setMessage(TXMUIMessages.noTextNext);
+//				return;
+//			}
+//			this.setEdition(nextText.getEdition(b.getDefaultEditionName()));
+//			this.webBrowser.setURL(currentPage.toURL());
+//			page_label.setText(makePageLabel());
+//		}
+//		// System.out.println("Next texts "+nextText);
+//	}
 	
-	/**
-	 * First text.
-	 */
-	public void firstText() {
-		Text current = this.currentPage.getEdition().getText();
-		Project corpus = current.getProject();
-		Text firstText = corpus.getFirstText();
-		
-		if (firstText != null) {
-			String editionName = corpus.getDefaultEditionName();
-			currentPage = firstText.getEdition(editionName).getFirstPage();
-			if (currentPage == null) {
-				StatusLine.setMessage(TXMUIMessages.noPreviousText);
-				return;
-			}
-			this.setEdition(firstText.getEdition(editionName));
-			this.webBrowser.setURL(currentPage.toURL());
-			page_label.setText(makePageLabel());
-		}
-	}
-	
-	/**
-	 * Last text.
-	 */
-	public void lastText() {
-		Text current = this.currentPage.getEdition().getText();
-		Project b = current.getProject();
-		Text lastText = b.getLastText();
-		
-		if (lastText != null) {
-			currentPage = lastText.getEdition(b.getDefaultEditionName()).getFirstPage();
-			if (currentPage == null) {
-				StatusLine.setMessage(TXMUIMessages.noTextNext);
-				return;
-			}
-			this.setEdition(lastText.getEdition(b.getDefaultEditionName()));
-			this.webBrowser.setURL(currentPage.toURL());
-			page_label.setText(makePageLabel());
-		}
-	}
-	
-	/**
-	 * First page.
-	 */
-	public void firstPage() {
-		// System.out.println(Messages.TxmBrowser_1+currentPage);
-		currentPage = edition.getFirstPage();
-		this.webBrowser.setURL(currentPage.toURL());
-		page_label.setText(makePageLabel());
-	}
-	
-	/**
-	 * Last page.
-	 */
-	public void lastPage() {
-		// System.out.println(Messages.TxmBrowser_2+currentPage);
-		
-		if (currentPage != null && currentPage.getFile().equals(edition.getLastPage().getFile()))
-			return;
-		currentPage = edition.getLastPage();
-		this.webBrowser.setURL(currentPage.toURL());
-		page_label.setText(makePageLabel());
-	}
-	
-	/**
-	 * Previous page.
-	 */
-	public void previousPage() {
-		// System.out.println(Messages.TxmBrowser_3+currentPage);
-		if (currentPage != null) {
-			Page previous = edition.getPreviousPage(currentPage);
-			if (previous == currentPage) {
-				previousText(true);
-			}
-			else {
-				currentPage = previous;
-				this.webBrowser.setURL(currentPage.toURL());
-			}
-		}
-		else
-			firstPage();
-		page_label.setText(makePageLabel());
-	}
-	
-	/**
-	 * Next page.
-	 */
-	public void nextPage() {
-		// System.out.println(Messages.TxmBrowser_4+currentPage);
-		if (currentPage != null) {
-			Page next = edition.getNextPage(currentPage);
-			if (currentPage == next) {
-				nextText();
-			}
-			else {
-				currentPage = next;
-				this.webBrowser.setURL(currentPage.toURL());
-			}
-			
-		}
-		else
-			firstPage();
-		page_label.setText(makePageLabel());
-	}
-	
-	/**
-	 * Previous text.
-	 * 
-	 * @param fromNextText
-	 */
-	public void previousText(boolean fromNextText) {
-		
-		Text current = this.currentPage.getEdition().getText();
-		Project corpus = current.getProject();
-		Text previousText = corpus.getPreviousText(current);
-		
-		if (previousText != null) {
-			String editionName = corpus.getDefaultEditionName();
-			if (fromNextText) {
-				currentPage = previousText.getEdition(editionName).getLastPage();
-			}
-			else {
-				currentPage = previousText.getEdition(editionName).getFirstPage();
-			}
-			if (currentPage == null) {
-				StatusLine.setMessage(TXMUIMessages.noPreviousText);
-				return;
-			}
-			this.setEdition(previousText.getEdition(editionName));
-			this.webBrowser.setURL(currentPage.toURL());
-			page_label.setText(makePageLabel());
-		}
-		// System.out.println("Previous texts "+previousText);
-	}
-	
-	/**
-	 * Next text.
-	 */
-	public void nextText() {
-		Text current = this.currentPage.getEdition().getText();
-		Project b = current.getProject();
-		Text nextText = b.getNextText(current);
-		
-		if (nextText != null) {
-			currentPage = nextText.getEdition(b.getDefaultEditionName()).getFirstPage();
-			if (currentPage == null) {
-				StatusLine.setMessage(TXMUIMessages.noTextNext);
-				return;
-			}
-			this.setEdition(nextText.getEdition(b.getDefaultEditionName()));
-			this.webBrowser.setURL(currentPage.toURL());
-			page_label.setText(makePageLabel());
-		}
-		// System.out.println("Next texts "+nextText);
-	}
-	
 	/*
 	 * (non-Javadoc)
 	 * @see org.eclipse.ui.internal.browser.WebBrowserEditor#createPartControl(org.eclipse.swt.widgets.Composite)
@@ -373,183 +338,183 @@
 			return;
 		}
 		
-		RowLayout navigLayout = new RowLayout(SWT.HORIZONTAL);
-		navigLayout.justify = true;
-		Composite panneau = new Composite(parent, SWT.NONE);
-		panneau.setLayout(navigLayout);
+//		RowLayout navigLayout = new RowLayout(SWT.HORIZONTAL);
+//		navigLayout.justify = true;
+//		Composite panneau = new Composite(parent, SWT.NONE);
+//		panneau.setLayout(navigLayout);
+//		
+//		RowLayout subLayout = new RowLayout(SWT.HORIZONTAL);
+//		subLayout.pack = true;
+//		subLayout.center = true;
+//		subLayout.marginBottom = subLayout.marginHeight = 0;
+//		subLayout.marginTop = subLayout.marginWidth = 0;
+//		Composite subPanneau = new Composite(panneau, SWT.NONE);
+//		subPanneau.setLayout(subLayout);
+//		subPanneau.setLayoutData(new RowData(450, 22));
+//		
+//		Button firstText = new Button(subPanneau, SWT.FLAT);
+//		Button previousText = new Button(subPanneau, SWT.FLAT);
+//		Button first = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
+//		Button previous = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
+//		page_label = new Label(subPanneau, SWT.NONE);
+//		Button next = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
+//		Button last = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
+//		Button nextText = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
+//		Button lastText = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
+//		
+//		// set sizes
+//		page_label.setLayoutData(new RowData(50, 20));
+//		firstText.setLayoutData(new RowData(30, 20));
+//		first.setLayoutData(new RowData(30, 20));
+//		previous.setLayoutData(new RowData(30, 20));
+//		next.setLayoutData(new RowData(30, 20));
+//		last.setLayoutData(new RowData(30, 20));
+//		nextText.setLayoutData(new RowData(30, 20));
+//		previousText.setLayoutData(new RowData(30, 20));
+//		lastText.setLayoutData(new RowData(30, 20));
 		
-		RowLayout subLayout = new RowLayout(SWT.HORIZONTAL);
-		subLayout.pack = true;
-		subLayout.center = true;
-		subLayout.marginBottom = subLayout.marginHeight = 0;
-		subLayout.marginTop = subLayout.marginWidth = 0;
-		Composite subPanneau = new Composite(panneau, SWT.NONE);
-		subPanneau.setLayout(subLayout);
-		subPanneau.setLayoutData(new RowData(450, 22));
 		
-		Button firstText = new Button(subPanneau, SWT.FLAT);
-		Button previousText = new Button(subPanneau, SWT.FLAT);
-		Button first = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
-		Button previous = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
-		page_label = new Label(subPanneau, SWT.NONE);
-		Button next = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
-		Button last = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
-		Button nextText = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
-		Button lastText = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
+//		// set labels
+//		page_label.setText(""); //$NON-NLS-1$
+//		firstText.setImage(IImageKeys.getImage(IImageKeys.CTRLREWINDSTART));
+//		firstText.setToolTipText("|<<");
+//		previousText.setImage(IImageKeys.getImage(IImageKeys.CTRLREWIND));
+//		previousText.setToolTipText(TXMUIMessages.previousText);
+//		first.setImage(IImageKeys.getImage(IImageKeys.CTRLSTART));
+//		first.setToolTipText(TXMUIMessages.common_beginning);
+//		previous.setImage(IImageKeys.getImage(IImageKeys.CTRLREVERSE));
+//		previous.setToolTipText(TXMUIMessages.previousPage);
+//		next.setImage(IImageKeys.getImage(IImageKeys.CTRLPLAY));
+//		next.setToolTipText(TXMUIMessages.nextPage);
+//		last.setImage(IImageKeys.getImage(IImageKeys.CTRLEND));
+//		last.setToolTipText(TXMUIMessages.common_end);
+//		nextText.setImage(IImageKeys.getImage(IImageKeys.CTRLFASTFORWARD));
+//		nextText.setToolTipText(TXMUIMessages.nextText);
+//		lastText.setImage(IImageKeys.getImage(IImageKeys.CTRLFASTFORWARDEND));
+//		lastText.setToolTipText(">>|");
+//		
+//		
+//		// set listeners
+//		first.addSelectionListener(new SelectionListener() {
+//			
+//			@Override
+//			public void widgetDefaultSelected(SelectionEvent e) {
+//				firstPage();
+//			}
+//			
+//			@Override
+//			public void widgetSelected(SelectionEvent e) {
+//				firstPage();
+//			}
+//		});
+//		previous.addSelectionListener(new SelectionListener() {
+//			
+//			@Override
+//			public void widgetDefaultSelected(SelectionEvent e) {
+//				previousPage();
+//			}
+//			
+//			@Override
+//			public void widgetSelected(SelectionEvent e) {
+//				previousPage();
+//			}
+//		});
+//		next.addSelectionListener(new SelectionListener() {
+//			
+//			@Override
+//			public void widgetDefaultSelected(SelectionEvent e) {
+//				nextPage();
+//			}
+//			
+//			@Override
+//			public void widgetSelected(SelectionEvent e) {
+//				nextPage();
+//			}
+//		});
+//		last.addSelectionListener(new SelectionListener() {
+//			
+//			@Override
+//			public void widgetDefaultSelected(SelectionEvent e) {
+//				lastPage();
+//			}
+//			
+//			@Override
+//			public void widgetSelected(SelectionEvent e) {
+//				lastPage();
+//			}
+//		});
+//		nextText.addSelectionListener(new SelectionListener() {
+//			
+//			@Override
+//			public void widgetDefaultSelected(SelectionEvent e) {
+//				nextText();
+//			}
+//			
+//			@Override
+//			public void widgetSelected(SelectionEvent e) {
+//				nextText();
+//			}
+//		});
+//		// set listeners
+//		previousText.addSelectionListener(new SelectionListener() {
+//			
+//			@Override
+//			public void widgetDefaultSelected(SelectionEvent e) {
+//				previousText(false);
+//			}
+//			
+//			@Override
+//			public void widgetSelected(SelectionEvent e) {
+//				previousText(false);
+//			}
+//		});
+//		lastText.addSelectionListener(new SelectionListener() {
+//			
+//			@Override
+//			public void widgetDefaultSelected(SelectionEvent e) {
+//				lastText();
+//			}
+//			
+//			@Override
+//			public void widgetSelected(SelectionEvent e) {
+//				lastText();
+//			}
+//		});
+//		// set listeners
+//		firstText.addSelectionListener(new SelectionListener() {
+//			
+//			@Override
+//			public void widgetDefaultSelected(SelectionEvent e) {
+//				firstText();
+//			}
+//			
+//			@Override
+//			public void widgetSelected(SelectionEvent e) {
+//				firstText();
+//			}
+//		});
+//		
+//		subPanneau.pack();
+//		panneau.pack();
 		
-		// set sizes
-		page_label.setLayoutData(new RowData(50, 20));
-		firstText.setLayoutData(new RowData(30, 20));
-		first.setLayoutData(new RowData(30, 20));
-		previous.setLayoutData(new RowData(30, 20));
-		next.setLayoutData(new RowData(30, 20));
-		last.setLayoutData(new RowData(30, 20));
-		nextText.setLayoutData(new RowData(30, 20));
-		previousText.setLayoutData(new RowData(30, 20));
-		lastText.setLayoutData(new RowData(30, 20));
+//		FormLayout parentLayout = new FormLayout();
 		
+//		FormData datatop = new FormData();
+//		datatop.top = new FormAttachment(0, 0);
+//		datatop.left = new FormAttachment(0, 0);
+//		datatop.right = new FormAttachment(100, 0);
+//		datatop.bottom = new FormAttachment(panneau, 0);
+//		webBrowser.setLayoutData(datatop);
+//		
+//		FormData databottom = new FormData(200, 30);
+//		databottom.bottom = new FormAttachment(100, 0);
+//		databottom.left = new FormAttachment(30, -100);
+//		databottom.right = new FormAttachment(80, 100);
+//		panneau.setLayoutData(databottom);
+//		
+//		parent.setLayout(parentLayout);
+//		parent.pack();
 		
-		// set labels
-		page_label.setText(""); //$NON-NLS-1$
-		firstText.setImage(IImageKeys.getImage(IImageKeys.CTRLREWINDSTART));
-		firstText.setToolTipText("|<<");
-		previousText.setImage(IImageKeys.getImage(IImageKeys.CTRLREWIND));
-		previousText.setToolTipText(TXMUIMessages.previousText);
-		first.setImage(IImageKeys.getImage(IImageKeys.CTRLSTART));
-		first.setToolTipText(TXMUIMessages.common_beginning);
-		previous.setImage(IImageKeys.getImage(IImageKeys.CTRLREVERSE));
-		previous.setToolTipText(TXMUIMessages.previousPage);
-		next.setImage(IImageKeys.getImage(IImageKeys.CTRLPLAY));
-		next.setToolTipText(TXMUIMessages.nextPage);
-		last.setImage(IImageKeys.getImage(IImageKeys.CTRLEND));
-		last.setToolTipText(TXMUIMessages.common_end);
-		nextText.setImage(IImageKeys.getImage(IImageKeys.CTRLFASTFORWARD));
-		nextText.setToolTipText(TXMUIMessages.nextText);
-		lastText.setImage(IImageKeys.getImage(IImageKeys.CTRLFASTFORWARDEND));
-		lastText.setToolTipText(">>|");
-		
-		
-		// set listeners
-		first.addSelectionListener(new SelectionListener() {
-			
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-				firstPage();
-			}
-			
-			@Override
-			public void widgetSelected(SelectionEvent e) {
-				firstPage();
-			}
-		});
-		previous.addSelectionListener(new SelectionListener() {
-			
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-				previousPage();
-			}
-			
-			@Override
-			public void widgetSelected(SelectionEvent e) {
-				previousPage();
-			}
-		});
-		next.addSelectionListener(new SelectionListener() {
-			
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-				nextPage();
-			}
-			
-			@Override
-			public void widgetSelected(SelectionEvent e) {
-				nextPage();
-			}
-		});
-		last.addSelectionListener(new SelectionListener() {
-			
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-				lastPage();
-			}
-			
-			@Override
-			public void widgetSelected(SelectionEvent e) {
-				lastPage();
-			}
-		});
-		nextText.addSelectionListener(new SelectionListener() {
-			
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-				nextText();
-			}
-			
-			@Override
-			public void widgetSelected(SelectionEvent e) {
-				nextText();
-			}
-		});
-		// set listeners
-		previousText.addSelectionListener(new SelectionListener() {
-			
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-				previousText(false);
-			}
-			
-			@Override
-			public void widgetSelected(SelectionEvent e) {
-				previousText(false);
-			}
-		});
-		lastText.addSelectionListener(new SelectionListener() {
-			
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-				lastText();
-			}
-			
-			@Override
-			public void widgetSelected(SelectionEvent e) {
-				lastText();
-			}
-		});
-		// set listeners
-		firstText.addSelectionListener(new SelectionListener() {
-			
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-				firstText();
-			}
-			
-			@Override
-			public void widgetSelected(SelectionEvent e) {
-				firstText();
-			}
-		});
-		
-		subPanneau.pack();
-		panneau.pack();
-		
-		FormLayout parentLayout = new FormLayout();
-		
-		FormData datatop = new FormData();
-		datatop.top = new FormAttachment(0, 0);
-		datatop.left = new FormAttachment(0, 0);
-		datatop.right = new FormAttachment(100, 0);
-		datatop.bottom = new FormAttachment(panneau, 0);
-		webBrowser.setLayoutData(datatop);
-		
-		FormData databottom = new FormData(200, 30);
-		databottom.bottom = new FormAttachment(100, 0);
-		databottom.left = new FormAttachment(30, -100);
-		databottom.right = new FormAttachment(80, 100);
-		panneau.setLayoutData(databottom);
-		
-		parent.setLayout(parentLayout);
-		parent.pack();
-		
 		MenuManager menuManager = new MenuManager();
 		Menu menu = menuManager.createContextMenu(getBrowser());
 		
@@ -606,6 +571,7 @@
 		getSite().registerContextMenu(menuManager, selProvider);
 		getSite().setSelectionProvider(selProvider);
 		
+		new CommandLink(this, getBrowser());
 		// System.out.println("Browser menu: "+getBrowser().getMenu());
 	}
 	
@@ -659,10 +625,10 @@
 		return ((String) getBrowser().evaluate(SCRIPT01));
 	}
 	
-	public Object getWordIDsSelection() {
-		System.out.println("WORDS IDS " + getBrowser().evaluate(SCRIPT02));
-		return getBrowser().evaluate(SCRIPT02);
-	}
+//	public Object getWordIDsSelection() {
+//		System.out.println("WORDS IDS " + getBrowser().evaluate(SCRIPT02));
+//		return getBrowser().evaluate(SCRIPT02);
+//	}
 	
 	public String getTextSelection() {
 		System.out.println("DOM=" + getTextSelectionDOM());
@@ -671,12 +637,12 @@
 		return rez;
 	}
 	
-	/**
-	 * Gets the current page.
-	 *
-	 * @return the current page
-	 */
-	public Page getCurrentPage() {
-		return currentPage;
-	}
+//	/**
+//	 * Gets the current page.
+//	 *
+//	 * @return the current page
+//	 */
+//	public Page getCurrentPage() {
+//		return currentPage;
+//	}
 }
